@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group row">
        <label for="{{str_replace('.', '_', $key)}}"
               class="col-sm-2 col-form-label">{{isset($placeholder)?$placeholder:null}}</label>
        <div class="col-sm-10">
            <div class="custom-file">
                <input type="file" name="{{$key}}" @if(isset($attributes))
                @forelse($attributes as $attr_key => $attr_val)
                {!!  is_int($attr_key) ? $attr_val . " " : sprintf(' %s="%s"', $attr_key, $attr_val) !!}
                @empty
                @endforelse
                @endif
                class="custom-file-input"
                       @if(isset($placeholder)) placeholder="{{$placeholder}}" @endif/>
                <label class="custom-file-label" for="customFile">Choose file</label>
            </div>
        </div>
        @if($errors->has($key))
            <div class="invalid-feedback">{!! $errors->first($key) !!}</div>
        @endif
    </div>
@endif
